#include <iostream>

using namespace std;

int main()
{
    int n,k;
    int counter=1;
    int counter2=0;
    cin>>n>>k;
    int a[n];
    int zamena[n];

    for(int i=0;i<n;i++)
    {
        cin>>a[i];
    }
    if(k==1)
    {
        cout<<n<<endl;
        for(int i=0;i<n;i++)
        {
            cout<<a[i]<<" ";

        }
        return 0;
    }

    for(int i=0;i<n-1;i++)
    {
        for(int j=i+1;j<n;j++)
        {
            if(a[i]==a[j])
            {
                counter++;
                if(counter==k)
                {
                    for(int m=0;m<n;m++)
                    {
                        if(a[i]!=zamena[m])
                        {
                            zamena[counter2]=a[i];
                            counter2++;
                            break;
                        }
                        break;
                    }
                }
            }
        }
        counter=1;
    }
    cout<<counter2<<endl;
    for(int i=0;i<counter2;i++)
    {
        cout<<zamena[i]<<" ";
    }

}